Main Page Data Structures File List Data Fields Globals Related Pages

# clib/CGI.H File Reference

Go to the source code of this file.

## Data Structures
struct | rpCgi
struct | tag_cgi_table
struct | tag_form_item
## Defines
#define | CgiHttpGet 1
#define | CgiHttpHead 2
#define | CgiHttpPost 3
#define | CgiHttpOk 0
#define | CgiHttpOkStatic 1
#define | CgiHttpRedirect 2
#define | CgiHttpNotModified 3
#define | CgiHttpUnauthorized 4
#define | CgiHttpNotFound 5
#define | CgiHttpOKNoDoc 6
#define | CGIDataTypeHtml 0
#define | CGIDataTypeImageGif 1
#define | CGIDataTypeApplet 2
#define | CGIDataTypeText 3
#define | CGIDataTypeImageJpeg 4
#define | CGIDataTypeImagePict 5
#define | CGIDataTypeImageTiff 6
#define | CGIDataTypeImagePng 7
#define | CGIDataTypeForm 8
#define | CGIDataTypeIpp 9
#define | CGIDataTypeCss 10
#define | CGIDataTypeXml 11
#define | CGIDataTypeWav 12
#define | CGIDataTypePdf 13
#define | CGIDataTypeJavaArchive 14
#define | CGIDataTypeOctet 15
#define | CGIDataTypeVndWapWml 16
#define | CGIDataTypeVndWapWbmp 17
#define | CGIDataTypeVndWapWmlc 18
#define | CGIDataTypeVndWapWmlscript 19
#define | CGIDataTypeVndWapWmlscriptc 20
#define | CGIDataTypeScaleVectGraph 21
#define | CGI_INSTALL 1
#define | CGI_REMOVE 2
#define | CGI_SETMAIN 3
#define | CGI_SETROOTDIR 4
#define | CGI_GETROOTDIR 5
#define | CGI_GETMAIN 6
#define | CGI_GETFORMITEM 7
#define | CGI_FINDNEXTITEM 8
#define | CGI_INSTALL_PAS 9
#define | CGI_NOT_SUPPORTED -2
#define | CGI_ERROR -1
#define | CGI_ENOERROR 0
#define | CGI_INVALID_METHOD -1
#define | CGI_INVALID_NAME -2
#define | CGI_INVALID_DIR -3
#define | CGI_NO_FREE_ENTRY -4
#define | CGI_NOT_FOUND -5
## Typedefs
typedef tag_cgi_table | CGI_Entry
typedef tag_form_item | FormItem
typedef * | rpCgiPtr

## Define Documentation

#define CGI_ENOERROR 0

| Definition at line 111 of file CGI.H.

#define CGI_ERROR -1

| Definition at line 110 of file CGI.H.

#define CGI_FINDNEXTITEM 8

| Definition at line 102 of file CGI.H. Referenced by CGI_GetNextItem().

#define CGI_GETFORMITEM 7

| Definition at line 101 of file CGI.H. Referenced by CGI_GetFormItem().

#define CGI_GETMAIN 6

| Definition at line 100 of file CGI.H. Referenced by CGI_GetMainPage().

#define CGI_GETROOTDIR 5

| Definition at line 99 of file CGI.H. Referenced by CGI_GetRootDir().

#define CGI_INSTALL 1

| Definition at line 95 of file CGI.H. Referenced by CGI_Install().

#define CGI_INSTALL_PAS 9

| Definition at line 103 of file CGI.H.

#define CGI_INVALID_DIR -3

| Definition at line 119 of file CGI.H.

#define CGI_INVALID_METHOD -1

| Definition at line 117 of file CGI.H.

#define CGI_INVALID_NAME -2

| Definition at line 118 of file CGI.H.

#define CGI_NO_FREE_ENTRY -4

| Definition at line 120 of file CGI.H.

#define CGI_NOT_FOUND -5

| Definition at line 121 of file CGI.H.

#define CGI_NOT_SUPPORTED -2

| Definition at line 109 of file CGI.H.

#define CGI_REMOVE 2

| Definition at line 96 of file CGI.H. Referenced by CGI_Delete().

#define CGI_SETMAIN 3

| Definition at line 97 of file CGI.H. Referenced by CGI_SetMainPage().

#define CGI_SETROOTDIR 4

| Definition at line 98 of file CGI.H. Referenced by CGI_SetRootDir().

#define CGIDataTypeApplet 2

| Definition at line 71 of file CGI.H.

#define CGIDataTypeCss 10

| Definition at line 79 of file CGI.H.

#define CGIDataTypeForm 8

| Definition at line 77 of file CGI.H.

#define CGIDataTypeHtml 0

| Definition at line 69 of file CGI.H.

#define CGIDataTypeImageGif 1

| Definition at line 70 of file CGI.H.

#define CGIDataTypeImageJpeg 4

| Definition at line 73 of file CGI.H.

#define CGIDataTypeImagePict 5

| Definition at line 74 of file CGI.H.

#define CGIDataTypeImagePng 7

| Definition at line 76 of file CGI.H.

#define CGIDataTypeImageTiff 6

| Definition at line 75 of file CGI.H.

#define CGIDataTypeIpp 9

| Definition at line 78 of file CGI.H.

#define CGIDataTypeJavaArchive 14

| Definition at line 83 of file CGI.H.

#define CGIDataTypeOctet 15

| Definition at line 84 of file CGI.H.

#define CGIDataTypePdf 13

| Definition at line 82 of file CGI.H.

#define CGIDataTypeScaleVectGraph 21

| Definition at line 90 of file CGI.H.

#define CGIDataTypeText 3

| Definition at line 72 of file CGI.H. Referenced by Example1_Func().

#define CGIDataTypeVndWapWbmp 17

| Definition at line 86 of file CGI.H.

#define CGIDataTypeVndWapWml 16

| Definition at line 85 of file CGI.H.

#define CGIDataTypeVndWapWmlc 18

| Definition at line 87 of file CGI.H.

#define CGIDataTypeVndWapWmlscript 19

| Definition at line 88 of file CGI.H.

#define CGIDataTypeVndWapWmlscriptc 20

| Definition at line 89 of file CGI.H.

#define CGIDataTypeWav 12

| Definition at line 81 of file CGI.H.

#define CGIDataTypeXml 11

| Definition at line 80 of file CGI.H.

#define CgiHttpGet 1

| Definition at line 52 of file CGI.H. Referenced by main().

#define CgiHttpHead 2

| Definition at line 53 of file CGI.H.

#define CgiHttpNotFound 5

| Definition at line 63 of file CGI.H.

#define CgiHttpNotModified 3

| Definition at line 61 of file CGI.H.

#define CgiHttpOk 0

| Definition at line 58 of file CGI.H. Referenced by Example1_Func().

#define CgiHttpOKNoDoc 6

| Definition at line 64 of file CGI.H.

#define CgiHttpOkStatic 1

| Definition at line 59 of file CGI.H.

#define CgiHttpPost 3

| Definition at line 54 of file CGI.H.

#define CgiHttpRedirect 2

| Definition at line 60 of file CGI.H.

#define CgiHttpUnauthorized 4

| Definition at line 62 of file CGI.H.

## Typedef Documentation

typedef struct tag_cgi_table CGI_Entry

typedef struct tag_form_item FormItem

typedef * rpCgiPtr

| Referenced by Example1_Func().